package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxRentContract;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxRentContractMapper extends CommonMapper<WxRentContract, String> {

	List<WxRentContract> findList(WxRentContract wxRentContract);

    List<Map<String,Object>> queryRentContractData(WxRentContract wxRentContract);

    int queryRentContractWaitSignStatus(WxRentContract wxRentContract);

    int queryRentContractEndSoonStatus(WxRentContract wxRentContract);

    int queryRentContractPaidStatus(WxRentContract wxRentContract);

    int queryRentContractEndStatus(WxRentContract wxRentContract);

    int updateRentContractEndSoonStatus(WxRentContract wxRentContract);

    int updateRentContractPaidStatus(WxRentContract wxRentContract);

    int updateRentContractEndStatus(WxRentContract wxRentContract);

    void updateRentWaitSignStatus(WxRentContract wxRentContract);

    void updateRentInvalidStatus(WxRentContract wxRentContract);

    List<WxRentContract> getRentContractList(WxRentContract tenantId);

    void updateStatusForUnsign(WxRentContract wxRentContract);

    void updateApplyStatus(WxRentContract wxRentContract);

    List<WxRentContract> getRentInvalidList(WxRentContract wxRentContract);

    void updateStatus(WxRentContract wxRentContract);

    long queryOweCount(WxRentContract wxRentContract);
}
